havege.h File Reference

HAVEGE: HArdware Volatile Entropy Gathering and Expansion. More...

`#include <stddef.h>`
Include dependency graph for havege.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | mbedtls_havege_state
| HAVEGE state structure. More...

## Macros

#define | MBEDTLS_HAVEGE_COLLECT_SIZE 1024

## Functions

void | mbedtls_havege_init (mbedtls_havege_state *hs)
| HAVEGE initialization. More...
void | mbedtls_havege_free (mbedtls_havege_state *hs)
| Clear HAVEGE state. More...
int | mbedtls_havege_random (void *p_rng, unsigned char *output, size_t len)
| HAVEGE rand function. More...

## Detailed Description

HAVEGE: HArdware Volatile Entropy Gathering and Expansion.

Copyright (C) 2006-2015, ARM Limited, All Rights Reserved SPDX-License-Identifier: Apache-2.0

Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

This file is part of mbed TLS (https://tls.mbed.org)

Definition in file havege.h.

## Macro Definition Documentation

#define MBEDTLS_HAVEGE_COLLECT_SIZE 1024

Definition at line 28 of file havege.h.

## Function Documentation

void mbedtls_havege_free | ( | mbedtls_havege_state * | hs | ) |

Clear HAVEGE state.

Parameters

  hs | HAVEGE state to be cleared

void mbedtls_havege_init | ( | mbedtls_havege_state * | hs | ) |

HAVEGE initialization.

Parameters

  hs | HAVEGE state to be initialized

int mbedtls_havege_random | ( | void * | p_rng,
|  | unsigned char * | output,
|  | size_t | len
| ) |  |

HAVEGE rand function.

Parameters

  p_rng | A HAVEGE state
  output | Buffer to fill
  len | Length of buffer

Returns
  0